{
  config,
  lib,
  pkgs,
  ...
}:
with lib;
mkIf (elem "cups" config.machine.services) {
  services.printing = {
    enable = true;
    browsed.enable = false;
    startWhenNeeded = true;
    drivers = with pkgs; [
      gutenprint
      hplip
      splix
      samsung-unified-linux-driver
    ];
  };
}
